Re: [prosody-dev] mod_smacks leaking plaintext messages to log

2014-01-30 Thread Matthew Wild
Hi Nik, On 29 January 2014 10:02, Dominik George n...@naturalnet.de wrote: Hi, mod_smacks leaks all stanzas that remain unacked after the timeout to Prosody's log file by emitting them with loglevel warn. Heh, yes. This is debugging code left over from the original version of mod_smacks.

Re: [prosody-dev] Error when using with OpenSSL without ECDH

2014-03-20 Thread Matthew Wild
Hi Artur, Sorry for the delay in replying, I've only just realised I've had this draft open for nearly 4 days already. On 16 March 2014 20:31, Artur Bekasov artur.beka...@gmail.com wrote: Hello prosody developers, I've faced a slight problem when trying to use Prosody with SSL. I have

[prosody-dev] [ANN] Prosody 0.9.4 released

2014-04-02 Thread Matthew Wild
Hi folks, We're pleased to present Prosody 0.9.4, the latest release from our stable 0.9 branch. This release fixes a security (denial of service) issue. If you are using mod_compression then we strongly recommended that you upgrade as soon as possible or disable compression (it is disabled by

Re: [prosody-dev] Re: mod_bosh crashing with latest compile from mercurial

2014-05-11 Thread Matthew Wild
On 11 May 2014 15:36, Peter Villeneuve peterv...@gmail.com wrote: Hi Matthew, Is it available yet? I can't seem to find it. Really sorry Peter, for some unknown reason the commit hadn't successfully pushed. I've done so now, and the builds should be done in a few hours. Regards, Matthew --

Re: [prosody-dev] BOSH returns 404

2014-07-05 Thread Matthew Wild
Hi, On 5 July 2014 00:26, Hugo Osvaldo Barrera h...@barrera.io wrote: Hi, I'm trying to set bosh without success. Thanks for the details. One key bit of info missing: what version of Prosody are you using? bosh_ports = { 5280 } Probably best to drop this line. 5280 is the default, and

[prosody-dev] [ANN] Prosody 0.9.6 released!

2014-10-15 Thread Matthew Wild
Hi folks, We are pleased to announce Prosody 0.9.6, the latest release of our stable 0.9 branch. This is mainly a bug fix release, with security and interoperability implications. Note: This release disables SSLv3 by default, which has been shown to be insecure when used by clients. Clients that

[prosody-dev] [ANN] Prosody 0.9.7 released

2014-11-24 Thread Matthew Wild
Hello everyone, We are pleased to announce a new minor release from our stable branch. This release has just a couple of changes for you: * Fix server-to-server interoperability issue with Isode M-Link (since 0.9.6) * Fix traceback in 'prosodyctl about' command with LuaRocks 2.2.0+ installed

Re: [prosody-dev] prosody v.0.10 docker does not log to logspout

2015-03-21 Thread Matthew Wild
On 20 March 2015 at 21:25, Simon Hill simonhill...@gmail.com wrote: I'm trying to use https://github.com/gliderlabs/logspout to siphon remote prosody docker logs to Paper Trail. I have the config *console; -- Log to the console, useful for debugging with daemonize=false For some unknown

Re: [prosody-dev] introduction and commit access

2015-05-05 Thread Matthew Wild
Hi Michael, Sorry for the delay in processing your message, it got held up in the mailing list moderation queue. On 29 April 2015 at 15:45, Michael Hendricks mich...@ndrix.org wrote: I'd like to request commit access to the prosody-modules repository. I have a new module (for sending webhooks

Re: [prosody-dev] error in loggingmanager.lua

2015-05-05 Thread Matthew Wild
On 5 May 2015 at 07:34, Chris Tian christian.schne...@pix-art.de wrote: I'm using prosody trunk from 2015-04-26 and the following error in the logs: May 05 08:30:45 c2s208e290 info Authenticated as u...@domain.de May 05 08:30:46 May 05 08:30:46 c2s150aad0 error Traceback[c2s]:

Re: [prosody-dev] error in loggingmanager.lua

2015-05-06 Thread Matthew Wild
On 6 May 2015 at 16:13, Chris Tian christian.schne...@pix-art.de wrote: Thanks a lot. This fix solved that problem. Yes, you're right. I've added myself to my roster for testing some things. Great to hear. About adding yourself to your roster - this is not actually possible. You automatically

Re: [prosody-dev] Seeking your assistance - Prosody-0.9.8 not starting.

2015-06-12 Thread Matthew Wild
Hi Susheel, The problem is simple... Prosody requires Lua version 5.1. Lua 5.2 and 5.3 introduce major changes that Prosody 0.9.x is not compatible with. Regards, Matthew On 12 June 2015 at 21:57, Susheel Jalali susheel.jal...@coscendcommunications.com wrote: Dear Prosody Developers, Our

Re: [prosody-dev] prosody-modules migration to github

2015-05-29 Thread Matthew Wild
On 29 May 2015 at 09:52, Victor Seva vs...@sipwise.com wrote: On 05/29/2015 10:04 AM, Goffi wrote: G'day, As a recent modules developer, I just want to say that I'm totally against a github move: I have no account there and will not have. You don't need a github account to contribute. It is

Re: [prosody-dev] prosody-modules migration to github

2015-05-28 Thread Matthew Wild
Hi Guilhem, On 28 May 2015 at 15:52, Guilhem Lettron guil...@lettron.fr wrote: Hi everyone, As you should know, code.google.com shutdown pretty soon. I begin to work on a migration to github. I also use this migration to split all modules in their own repository. You can find the resulting

Re: [prosody-dev] Re: Running Prosody on Android via Lua wrapper

2015-08-21 Thread Matthew Wild
Hi Chris, On 21 August 2015 at 00:18, Chris Ballinger chrisballin...@gmail.com wrote: This is an open source project I am really looking to make happen in order to democratize the ability to run your own server. If you are familiar enough with Prosody, Android, and the NDK, to make this a

Re: [prosody-dev] is it lua 5.1 really required for Prosody .9.8?

2015-08-14 Thread Matthew Wild
On 14 August 2015 at 20:02, b...@cogs.com wrote: My question is now focused on what configure args should I use to get timber to use lua version 5.2. ./configure --runwith=lua5.2 Change 'lua5.2' to whatever the path is to your Lua 5.2 interpreter. Regards, Matthew -- You received this

Re: [prosody-dev] is it lua 5.1 really required for Prosody .9.8?

2015-08-15 Thread Matthew Wild
Hi Ben, On 14 August 2015 at 21:35, b...@cogs.com wrote: On Friday, August 14, 2015 at 4:07:25 PM UTC-4, Matthew Wild wrote: On 14 August 2015 at 20:02, b...@cogs.com wrote: My question is now focused on what configure args should I use to get timber to use lua version 5.2

Re: [prosody-dev] is it lua 5.1 really required for Prosody .9.8?

2015-08-15 Thread Matthew Wild
On 15 August 2015 at 12:30, b...@cogs.com wrote: On Saturday, August 15, 2015 at 6:26:17 AM UTC-4, Matthew Wild wrote: Hi Ben, I think you are building or running the wrong code, as timber would not display this message for Lua 5.2. could be here is my mercurial line that I'm using

Re: [prosody-dev] is it lua 5.1 really required for Prosody .9.8?

2015-08-15 Thread Matthew Wild
On 15 August 2015 at 12:50, b...@cogs.com wrote: On Saturday, August 15, 2015 at 7:30:52 AM UTC-4, b...@cogs.com wrote: On Saturday, August 15, 2015 at 6:26:17 AM UTC-4, Matthew Wild wrote: Hi Ben, I think you are building or running the wrong code, as timber would not display

Re: [prosody-dev] is it lua 5.1 really required for Prosody .9.8?

2015-08-15 Thread Matthew Wild
On 15 August 2015 at 13:11, b...@cogs.com wrote: On Saturday, August 15, 2015 at 7:33:42 AM UTC-4, Matthew Wild wrote: On 15 August 2015 at 12:30, b...@cogs.com wrote: On Saturday, August 15, 2015 at 6:26:17 AM UTC-4, Matthew Wild wrote: Hi Ben, I think you are building

Re: [prosody-dev] Result packet not forwarded from BOSH to Smack client

2015-11-17 Thread Matthew Wild
On 17 November 2015 at 17:48, <pawel.do...@sip-communicator.org> wrote: > The issue has been fixed in https://hg.prosody.im/0.10/rev/f755e0bdc60a > > Thank you Matthew Wild ! Thanks for your patience with this crazy bug, and to Damian for managing to reproduce it and get me access

Re: [prosody-dev] FYI: expat: add security patch for CVE-2015-1283

2015-09-03 Thread Matthew Wild
Hi Lonnie, On 2 September 2015 at 00:40, Lonnie Abelbeck wrote: > Devs, > > Buildroot added a patch for expat: add security patch for CVE-2015-1283 > > http://git.buildroot.net/buildroot/commit/package?id=67d6276c1bd050b362b11658ae0c7b4da73e227e > > Since luaexpat uses

Re: [prosody-dev] Non-english characters makes sasl login fail

2015-09-30 Thread Matthew Wild
Hi Mathias, On 28 September 2015 at 17:14, Mathias Friman wrote: > Hi, > > I'm using Prosody for a Jitsi-Meet installation that is fairly detailed > here: https://github.com/jitsi/jicofo/issues/22#issuecomment-143686744 > > When enabling mod_auth_ldap module I can login

Re: [prosody-dev] prosody-modules migration to github

2015-12-08 Thread Matthew Wild
Hi Scott, On 8 December 2015 at 22:28, Scott White wrote: > Hello, > > I am a developer looking for a replacement chat server (we currently use > OpenFire). > Prosody looks promising and pretty powerful. > > I just wanted to offer my comments: > -Moving to a better supported

Re: [prosody-dev] Is it possible to use anonymous access of Prosody to implement live help?

2015-12-21 Thread Matthew Wild
On 21 December 2015 at 04:08, Ying LEE wrote: > As a demo, support-chat is the one I am looking for. But, I am wondering > there is some security problems. For the team MUC is known by client by > checking the source code, and team MUC is open to anonymous visitors. So it >

Re: [prosody-dev] proxy65: buffer size too small ?

2015-11-20 Thread Matthew Wild
On 20 November 2015 at 23:15, Goffi wrote: > Hi Matthew, > > sorry for the late answer, I was quite busy. > > So it's not working neither with the network_default_read_size option you gave > me, and I'm not using libevent. What version of Prosody are you using? Regards, Matthew

Re: [prosody-dev] proxy65: buffer size too small ?

2015-11-20 Thread Matthew Wild
On 20 November 2015 at 23:42, Goffi <go...@goffi.org> wrote: > Le vendredi 20 novembre 2015, 23:22:54 Matthew Wild a écrit : >> On 20 November 2015 at 23:15, Goffi <go...@goffi.org> wrote: > >> What version of Prosody are you using? > > current trunk tip (

Re: [prosody-dev] Some issues with mod_cloud_notify

2016-05-25 Thread Matthew Wild
Hi Chris, On 25 May 2016 at 22:16, Chris Ballinger wrote: > Not sure about the proper way to submit a pull request, but we have some > proposed modifications to the existing module that I'd like some feedback on > first. I'm working on some 'contributing' docs :) But

Re: [prosody-dev] Some issues with mod_cloud_notify

2016-05-26 Thread Matthew Wild
On 26 May 2016 at 16:55, Kim Alvefur wrote: > On 2016-05-25 23:16, Chris Ballinger wrote: >> 2. pushes are triggered for typing notifications (and possibly other >> extraneous stanzas as well). Would this be desired for some use cases >> and configurable (for instance to wake up the

[prosody-dev] [ANN] Prosody 0.9.9 security release available

2016-01-08 Thread Matthew Wild
Hi folks, This release contains important fixes for two security issues recently discovered in Prosody. It also contains various other fixes and improvements we have made since 0.9.8. We strongly recommend that you upgrade your server as soon as possible. Another important note is that for a

Re: [prosody-dev] Re: BitOp not bundled with docker Prosody 0.10: websocket error

2016-02-02 Thread Matthew Wild
On 31 January 2016 at 19:19, Simon Hill wrote: > So I fixed this by adding to the dockerfile > > RUN apt-get install -y lua-bitop > Thanks Simon. Could you open an issue on prosody-docker Github? Regards, Matthew -- You received this message because you are subscribed

[prosody-dev] [ANN] Prosody 0.9.10 released

2016-01-27 Thread Matthew Wild
Hi folks, We are pleased to announce the release of Prosody 0.9.10. This release fixes another dialback security issue. We strongly encourage all Prosody servers to upgrade as soon as possible. Successful exploitation of the issue allows an attacker to impersonate your server on the XMPP

Re: [prosody-dev] Re: Prosody not listening to any ports after restart

2016-02-24 Thread Matthew Wild
Hi Rainer, On 24 February 2016 at 13:17, Rainer Schuth wrote: > Hello, > > any ideas on this? > > I am using prosody-0.10_1nightly214-1~trusty on a Ubuntu 14.04 64bit. Really sorry for the delay on this. I was hoping to look into the issue, but I haven't had time this

Re: [prosody-dev] Prosody doesn't start after upgrade from nightly219 to nightly220

2016-02-28 Thread Matthew Wild
Hi Sebastian, On 28 February 2016 at 19:23, Sebastian Schweizer wrote: > Hi, > > I use Debian Jessie with systemd and the prosody-0.10 nightly package. > After this upgrade, prosody doesn't start anymore: > [UPGRADE] prosody-0.10:amd64 1nightly219-1~jessie ->

Re: [prosody-dev] events

2016-01-21 Thread Matthew Wild
On 21 January 2016 at 01:15, Harsha Bellur wrote: > Hi Mathew, > > Perhaps I should not be using fire_event(). > What I am attempting to do is capture all "muc_events" (such as join room, > leave room...) in a MUC room and send it via HTTP. > I have written a module that

Re: [prosody-dev] events

2016-01-20 Thread Matthew Wild
On 20 January 2016 at 19:13, Harsha Bellur wrote: > Hi > > In situations where events (same event_name) are getting fired > (module:fire_event()) quicker than the handler function (defined in > module:hook()), is it safe to assume that the events are queued? There is no queue

Re: [prosody-dev] events

2016-01-20 Thread Matthew Wild
On 20 January 2016 at 20:24, Matthew Wild <mwi...@gmail.com> wrote: > On 20 January 2016 at 19:13, Harsha Bellur <hbel...@gmail.com> wrote: >> Hi >> >> In situations where events (same event_name) are getting fired >> (module:fire_event()) qui

Re: [prosody-dev] Corrected: [PATCH] Makefile: git-based version number

2016-03-28 Thread Matthew Wild
On 28 March 2016 at 22:23, Matthew Wild <mwi...@gmail.com> wrote: > Hi David, > > Thanks for the patch. > > On 28 March 2016 at 21:52, David Favro <pros...@meta-dynamic.com> wrote: >> A little patch to give a reasonable version number when building >&g

Re: [prosody-dev] prosody BOSH errors

2016-03-25 Thread Matthew Wild
Hi Aaron, On 22 March 2016 at 21:46, Aaron van Meerten wrote: > Hi Prosody People, > > I have prosody set up for bosh, and am forwarding requests to /http-bind in > nginx to prosody on 5280. When using this configuration with > prosody-0.10-nightly181, I have had no

Re: [prosody-dev] [PATCH] Do not rely on auto string-to-number coercion

2016-03-26 Thread Matthew Wild
Hi David, On 25 March 2016 at 14:49, David Favro wrote: > Hello, > > Here is a small patch to (partially, anyhow) remove prosody's > reliance on Lua's implicit string-to-number coercion 'feature'. > > Why do so? Since it was met with some disapproval in the > chatroom,

Re: [prosody-dev] mod_mam: support XEP-0313 v0.5 keeping compatibility with previous XEP-0313 v0.3

2017-02-21 Thread Matthew Wild
On 21 February 2017 at 14:06, deoren wrote: > Pardon my ignorance, but is there an easy way to tell whether I have the > community or built-in version of mod_mam enabled? I'm running the latest > 0.10 nightly and I also have Prosody configured to use the current hg >

Re: [prosody-dev] bug: mod_saslauth sends incorrect auth success response

2016-08-28 Thread Matthew Wild
Hi Andrey, On 25 August 2016 at 18:19, Andrey Prokopenko wrote: > Hi fellow chatters. > Just discovered a rather nasty bug in mod_saslauth module, effectively > preventing Smack (or any other XMPP lib) to connect to the prosody. > In particular, function build_reply

Re: [prosody-dev] number of hosts

2016-11-03 Thread Matthew Wild
Hi Stefan, On 3 November 2016 at 12:27, 'Stefan Sänger' via prosody-dev wrote: > Hi All, > > I am currently looking into some config and scaling options - the goal is to > integrate prosody into some hosting scenario. In the end there is a > webclient embedded into

[prosody-dev] [ANN] Prosody 0.9.11 released

2016-11-03 Thread Matthew Wild
Hi folks, We are pleased to announce a new minor release from our stable branch. This release contains a bunch of bug fixes, a brief summary of them follows: - HTTP parser: Improve buffering of incoming HTTP data and add size limits (#603) - sessionmanager: Fix for an issue which caused

[prosody-dev] [ANN] Prosody 0.9.12 released

2017-01-10 Thread Matthew Wild
Hi folks, We are pleased to announce our first release of 2017 - Prosody 0.9.12! This release fixes a few minor issues, and fixes valid certificates failing to verify correctly when Prosody 0.9.x is used with LuaSec 0.6. A summary of changes since the previous release: Minor changes -

Re: [prosody-dev] [PATCH][0.10] muc: Allow clients to change multiple affiliations or roles at once (#345)

2017-04-17 Thread Matthew Wild
Hey, thanks for the patch! On 17 April 2017 at 13:43, Lennart Sauerbeck wrote: > ... > - In line 40 of the patch, I create a temporary variable to find out > whether the loop was run at least once. Is there a different mechanic in > Lua to do this nicer, or is this

Re: [prosody-dev] [PATCH][0.10] muc: Allow clients to change multiple affiliations or roles at once (#345)

2017-04-17 Thread Matthew Wild
On 17 April 2017 at 19:34, Kim Alvefur <z...@zash.se> wrote: > On Mon, Apr 17, 2017 at 02:32:22PM +0100, Matthew Wild wrote: >> - Treat the request as an atomic change: succeed for all, or fail >> all (i.e. if one of the JIDs is malformed, don't allow any of the >> o

Re: [prosody-dev] Switching from hg to git?

2017-07-28 Thread Matthew Wild
Hi Chris, On 27 July 2017 at 23:32, Chris Ballinger wrote: > I know that the Prosody project is still fond of Mercurial but, personally, > it makes it more difficult to contribute. Having a mirror on GitHub (with > issues disabled) that accepted PRs would be really

[prosody-dev] Mailing list moderators wanted

2017-07-28 Thread Matthew Wild
Hi folks, I'm looking for a volunteer or two to help moderate the prosody-users and prosody-dev mailing lists. We aim to approve posts from new members within 24h, and while we're hitting that goal for the majority of posts, occasionally some are slipping through and don't get posted for days. A

Re: [prosody-dev] possible issue with event loop block

2017-09-16 Thread Matthew Wild
Hey, On 16 September 2017 at 01:27, Harsha Bellur wrote: > Well, besides setting use_libevent to true in prosody config, is there > anything else to do? > I am using Jitsi components for audio/video conferencing - so NGINX proxies > APIs to these components as well. > When

Re: [prosody-dev] possible issue with event loop block

2017-09-19 Thread Matthew Wild
Hi, On 18 September 2017 at 19:33, Harsha Bellur wrote: > Hi Mathew, > > I guess I should have mentioned this earlier - when websocket is closed, I > send a http request to a microservice. I believe I am establishing multiple > connections that is either slowing things down or

Re: [prosody-dev] possible issue with event loop block

2017-09-19 Thread Matthew Wild
On 19 September 2017 at 13:42, Harsha Bellur <hbel...@gmail.com> wrote: > On Tuesday, September 19, 2017 at 5:00:21 AM UTC-4, Matthew Wild wrote: >> How are you sending this HTTP request? and where? Did you modify Prosody's >> code? > > I am using the request method in